# Uses of Class
org.eclipse.ui.views.navigator.ResourceComparator

Packages that use ResourceComparator
Package
Description
org.eclipse.ui.views.navigator
Provides the standard Resource Navigator view which presents the tree of resources in the workspace.

## Uses of ResourceComparator in org.eclipse.ui.views.navigator

Methods in org.eclipse.ui.views.navigator that return ResourceComparator
Modifier and Type
Method
Description
`ResourceComparator`
IResourceNavigator.`getComparator()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the current comparator.
`ResourceComparator`
ResourceNavigator.`getComparator()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the comparator.
Methods in org.eclipse.ui.views.navigator with parameters of type ResourceComparator
Modifier and Type
Method
Description
`void`
IResourceNavigator.`setComparator(ResourceComparator comparator)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the current comparator.
`void`
ResourceNavigator.`setComparator(ResourceComparator comparator)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the resource comparator